// APPLICATION FILE

#include "demo.h"

// this function is called from the fsm at the end of an rf slot
// make sure that it terminates in time

void SlotEndCallBack()
{
	RTCUpdate();
}


void main()
{
  uint8_t sdata = 0;

  init_irq_priorities();                // NEW for SDCC users

  //TYPICAL STARTUP FLOW
  //*****************************************************************


  
  PCInit();				// is not dangerous, because all pins are set correct . bport is input, i2c and eeprom are initianlized as well

  //SSimpInit();

  ACLInit();				// init the stack and start it
  
  enable_interrupts(INT_LOWPRIO);       // NEW for SDCC users
  enable_interrupts(global);		// must be done before lifesign and
  
  
  
  //*****************************************************************
  //now start your code here
  
  
  RTCInit();
  

  /*
    ACLStop();
    delay_ms(20);

    IDChipWriteProductionID( 1, 229 );

    ACLStart();
    delay_ms(20);
  */


  /* prepare force sensor if available */
  //ForceSensorPrepare();
  //ForceSensorOn();

  while(1)
    {
      if (!ACLSendingBusy())
	{
	  /* send some dummy data */
	  ACLAddNewType(42,42);
	  ACLAddData(23);
	  ACLSendPacket(30);

	  /* send some force sensor information */
	  //ForceSensorGet(&sdata);
	  //ForceSensorPackInACL(sdata);
	  //ACLSendPacket(30);

	}
      delay_ms(500);
    }
}

#include <disptab.c>                                   // NEW for SDCC users
